﻿@{
    ViewData["Title"] = "Home";
    var categories = ViewData["Categories"] as List<Category>;
    var products = ViewData["Products"] as List<Product>;
}
<link href="/css/style.css" rel="stylesheet" type="text/css" media="all" />
<div class="header_slide">
    <div class="header_bottom_left">
        <div class="categories">
            <h3>Categories</h3>
            @foreach (var category in categories!)
            {
                <ul>
                    <li><a href="@category.Name">@category.Name</a></li>
                </ul>
            }

        </div>
    </div>
    <div class="header_bottom_right">
        <div class="slider">
            <div id="slider">
                <div id="mover">
                    <div id="slide-1" class="slide">
                        <div class="slider-img">
                            <a href="preview.html"><img src="/images/slide-1-image.png" alt="learn more" /></a>
                        </div>
                        <div class="slider-text">
                            <h1>Clearance<br><span>SALE</span></h1>
                            <h2>UpTo 20% OFF</h2>
                            <div class="features_list">
                                <h4>Get to Know More About Our Memorable Services Lorem Ipsum is simply dummy text</h4>
                            </div>
                            <a href="preview.html" class="button">Shop Now</a>
                        </div>
                        <div class="clear"></div>
                    </div>
                    <div class="slide">
                        <div class="slider-text">
                            <h1>Clearance<br><span>SALE</span></h1>
                            <h2>UpTo 40% OFF</h2>
                            <div class="features_list">
                                <h4>Get to Know More About Our Memorable Services</h4>
                            </div>
                            <a href="preview.html" class="button">Shop Now</a>
                        </div>
                        <div class="slider-img">
                            <a href="preview.html"><img src="/images/slide-3-image.jpg" alt="learn more" /></a>
                        </div>
                        <div class="clear"></div>
                    </div>
                    <div class="slide">
                        <div class="slider-img">
                            <a href="preview.html"><img src="/images/slide-2-image.jpg" alt="learn more" /></a>
                        </div>
                        <div class="slider-text">
                            <h1>Clearance<br><span>SALE</span></h1>
                            <h2>UpTo 10% OFF</h2>
                            <div class="features_list">
                                <h4>Get to Know More About Our Memorable Services Lorem Ipsum is simply dummy text</h4>
                            </div>
                            <a href="preview.html" class="button">Shop Now</a>
                        </div>
                        <div class="clear"></div>
                    </div>
                </div>
            </div>
            <div class="clear"></div>
        </div>
    </div>
    <div class="clear"></div>
</div>

<div class="main">
    <div class="content" style="padding: 20px">
        <div class="content_top">
            <div class="heading">
                <h3>Products</h3>
            </div>
            <div class="see">
                <p><a href="#">See all Products</a></p>
            </div>
            <div class="clear"></div>
        </div>

        <div>
            @await Html.PartialAsync("~/Views/Product/ProductItem.cshtml", products)
        </div>


    </div>
</div>
